<?php
/**
 * @file
 * MLW-LT Administration forms file.
 */


/**
 * Admin Menu callback.
 *
 * @return string
 *   HTML output of the admin form.
 */
function its_admin_configuration() {
  return drupal_get_form('its_admin_form');
}

/**
 * Site wide default settings form for ITS data categories.
 *
 * @return array
 *   system_settings_form expanded with its options.
 */
function its_admin_form() {
  $form = array();

  $form['its_default_data'] = array(
    '#type' => 'fieldset',
    '#title' => t('Default translation meta data'),
    '#description' => t('This setting are used if there are no options set in the node type or directly in the node.'),
    '#default_value' => variable_get('its_default_data', ''),
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#tree' => TRUE,
  );

  $form['its_default_data'] += its_get_subform('site');

  return system_settings_form($form);
}
