<?php

/**
 * @file
 * Variable definitions of MultilingualWeb-LT module.
 */

/**
 * Implements hook_variable_group_info().
 */
function its_variable_group_info() {
  $groups['its'] = array(
    'title' => t('MultilingualWeb-LT Settings'),
    'description' => t('Settings for the MultilingualWeb-LT module.'),
    'access' => 'administer its',
    'path' => 'admin/config/regional/its/settings',
  );
  $groups['its-data'] = array(
    'title' => t('MultilingualWeb-LT meta data'),
    'description' => t('Default MultilingualWeb-LT meta data for each node type.'),
    'access' => 'administer nodes',
    'path' => 'admin/structure/types',
  );
  return $groups;
}

/**
 * Implements hook_variable_info().
 */
function its_variable_info($options = array()) {
  $variables = array();

  $variables['its_simple_checkbox'] = array(
    'type' => 'boolean',
    'title' => t('Simple Checkbox test', array(), $options),
    'description' => t("This setting doesn't do anything ;)", array(), $options),
    'default' => 0,
    'group' => 'its',
  );

  $default = array();
  $info = its_get_meta_data_information();
  foreach ($info as $key => $data) {
    if (isset($data['#default_value'])) {
      $default[$key] = $data['#default_value'];
    }
  }

  $variables['its_default_data'] = array(
    'type' => 'array',
    'title' => t('Default meta data.', array(), $options),
    'group' => 'its',
    'default' => $default,
  );

  $variables['its_meta_data_[node_type]'] = array(
    'type' => 'multiple',
    'title' => t('Default meta data.', array(), $options),
    'repeat' => array(
      'type' => 'array',
    ),
    'group' => 'its-data',
  );

  return $variables;
}
